var conv = require('../convert-string')
  , expect = require('chai').expect

require('terst')

describe('+ stringToBytes(str)', function() {
  describe('> when a string is input', function() {
    it('should convert to an array of bytes', function() {
      var str = "hello"
      EQ (conv.stringToBytes(str).join(','), "104,101,108,108,111")
    })
  })
})

describe('+ bytesToString(bytes)', function() {
  describe('> when bytes are input', function() {
    it('should convert to a string', function() {
      var bytes = [104,101,108,108,111]
      EQ (conv.bytesToString(bytes), 'hello')
    })
  })
})

